This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Class | XML
Name | ### getChildren()
Examples |
    // The following short XML file called "mammals.xml" is parsed
    // in the code below. It must be in the project's "data" folder.
    //
    // <?xml version="1.0"?>
    // <mammals>
    //   <animal id="0" species="Capra hircus">Goat</animal>
    //   <animal id="1" species="Panthera pardus">Leopard</animal>
    //   <animal id="2" species="Equus zebra">Zebra</animal>
    // </mammals>

    XML xml;

    void setup() {
      xml = loadXML("mammals.xml");
      XML[] animals = xml.getChildren("animal");

      for (int i = 0; i < animals.length; i++) {
        println(animals[i].getContent());
      }
    }

    // Sketch prints:
    // Goat
    // Leopard
    // Zebra
Description | Returns all of the element's children as an array of XML objects. When the name parameter is specified, then it will return all children that match that name or path. The path is a series of elements and sub-elements, separated by slashes.
Syntax |
    .getChildren()
    .getChildren(name)
Parameters |
name | String: element name or path/to/element
Returns | XML[]

Updated on October 26, 2013 08:58:34pm PDT